<?php
function homeconstructionservices_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'homeconstructionservices_custom_header_args', array(
		'default-image'          => '',
		'default-text-color'     => 'fff',
		'width'                  => 2000, 
		'height'                 => 200,
		'flex-height'            => true,
		'wp-head-callback'       => 'homeconstructionservices_header_style',
	) ) );
}
add_action( 'after_setup_theme', 'homeconstructionservices_custom_header_setup' );

if ( ! function_exists( 'homeconstructionservices_header_style' ) ) :

function homeconstructionservices_header_style() {
	$header_text_color = get_header_textcolor();

	$topheader_logowidth = esc_attr(get_theme_mod('topheader_logowidth','auto'));

	$homeconstructionservices_logo_top_padding = esc_attr(get_theme_mod('homeconstructionservices_logo_top_padding','2'));
	$homeconstructionservices_logo_left_padding = esc_attr(get_theme_mod('homeconstructionservices_logo_left_padding','2'));
	$homeconstructionservices_logo_bottom_padding = esc_attr(get_theme_mod('homeconstructionservices_logo_bottom_padding','2'));
	$homeconstructionservices_logo_right_padding = esc_attr(get_theme_mod('homeconstructionservices_logo_right_padding','2'));


  	$blog_disable_section = esc_attr(get_theme_mod('blog_disable_section','YES'));
  	$ourservice_disable_section = esc_attr(get_theme_mod('ourservice_disable_section','YES'));
  	$aboutus_disable_section = esc_attr(get_theme_mod('aboutus_disable_section','YES'));
  	$feature_disable_section = esc_attr(get_theme_mod('feature_disable_section','YES'));


	?>
	<style type="text/css">


		<?php 
		
		?>


		.site-logo img {
			width: <?php echo apply_filters('homeconstructionservices_topheader', $topheader_logowidth); ?>;
		}

		.site-logo img {
			padding-top: <?php echo apply_filters('homeconstructionservices_topheader', $homeconstructionservices_logo_top_padding); ?>px;
			padding-left: <?php echo apply_filters('homeconstructionservices_topheader', $homeconstructionservices_logo_left_padding); ?>px;
			padding-bottom: <?php echo apply_filters('homeconstructionservices_topheader', $homeconstructionservices_logo_bottom_padding); ?>px;
			padding-right: <?php echo apply_filters('homeconstructionservices_topheader', $homeconstructionservices_logo_right_padding); ?>px;
		}


		header.site-header .site-title {
			color: <?php echo esc_attr(get_theme_mod('topheader_sitetitlecol')); ?>;
		}

		header.site-header .site-logo a {
			text-decoration-color: <?php echo esc_attr(get_theme_mod('topheader_sitetitlecol')); ?> !important;
		}

		p.site-description {
			color: <?php echo esc_attr(get_theme_mod('topheader_taglinecol')); ?>;
		}
		


	

		header .btmmhead {
			background: <?php echo esc_attr(get_theme_mod('header_bgcolor')); ?>;
		}

		header .btmmhead:after {
			border-color: <?php echo esc_attr(get_theme_mod('header_bordercolor')); ?>;
		}

		.main-header .navbar .navbar-menu ul li a, .main-header .navbar .navbar-menu ul li.dropdown>a::after {
			color: <?php echo esc_attr(get_theme_mod('header_menuscolor')); ?>;
		}

		.main-header .navbar .navbar-nav > li:hover a, .main-header .navbar .navbar-nav > li.focus a, .main-header .navbar .navbar-nav > li.active a, .main-header .navbar .navbar-nav > li a.active,.main-header .navbar .navbar-menu ul li:hover.dropdown>a::after {
			color: <?php echo esc_attr(get_theme_mod('header_menushovercolor')); ?>;
		}

		.main-header .navbar .navbar-menu ul li.dropdown .sub-menu a:not(.remove) {
			color: <?php echo esc_attr(get_theme_mod('header_submenutextcolor')); ?>;
		}

		.main-header .navbar .navbar-menu ul li.dropdown .sub-menu>.dropdown:after {
			color: <?php echo esc_attr(get_theme_mod('header_submenutexticoncolor')); ?>;
		}

		.main-header .navbar .navbar-menu ul li.dropdown .sub-menu a {
			background: <?php echo esc_attr(get_theme_mod('header_submenusbgcolor')); ?>;
		}

		.main-header .navbar .navbar-menu ul li.dropdown .sub-menu a:not(.remove) {
			border-left-color: <?php echo esc_attr(get_theme_mod('header_submenusbordercolor')); ?>;
		}

		.main-header .navbar .navbar-menu ul li.dropdown .sub-menu a:hover {
			background: <?php echo esc_attr(get_theme_mod('header_submenusbghovercolor')); ?> !important;
		}

		.main-header .navbar .navbar-menu ul li.dropdown .sub-menu a:hover{
			color: <?php echo esc_attr(get_theme_mod('header_submenustxthovercolor')); ?>;
		}
	
		
		header a.contactus {
			color: <?php echo esc_attr(get_theme_mod('header_btntxtcolor')); ?>;
		}

		header a.contactus {
			background: <?php echo esc_attr(get_theme_mod('header_btnbgcolor')); ?>;
		}

		header a.contactus:hover {
			color: <?php echo esc_attr(get_theme_mod('header_btntxthrvcolor')); ?>;
		}
		



		.hero-style .slidercontent h3 {
			color: <?php echo esc_attr(get_theme_mod('slider_subtitlecolor')); ?> !important;
		}

		.hero-style .sub-title {
			border-color: <?php echo esc_attr(get_theme_mod('slider_subtitlecolor')); ?> !important;
		}

		.hero-style .slide-title h2 {
			color: <?php echo esc_attr(get_theme_mod('slider_titlecolor')); ?> !important;
		}

		.hero-style .slide-text p {
			color: <?php echo esc_attr(get_theme_mod('slider_descriptioncolor')); ?>;
		}

		.hero-style a.ReadMore {
			color: <?php echo esc_attr(get_theme_mod('slider_btntxt1color')); ?> !important;
		}

		.hero-style a.ReadMore {
			background: <?php echo esc_attr(get_theme_mod('slider_btnbgcolor')); ?> !important;
		}

		.hero-style a.ReadMore:hover {
			color: <?php echo esc_attr(get_theme_mod('slider_btntxthrvcolor')); ?> !important;
		}

		.hero-style .videobtn {
			color: <?php echo esc_attr(get_theme_mod('slider_watchvideotextcolor')); ?> !important;
		}

		.hero-style .videobtn:hover {
			color: <?php echo esc_attr(get_theme_mod('slider_watchvideotexthrvcolor')); ?> !important;
		}

		.next-sec-tab a {
			background: <?php echo esc_attr(get_theme_mod('slider_scrolldownarrowbgcolor')); ?> !important;
		}

		.hero-slider .home_construction_servicesswiper-button-prev i, 
		.hero-slider .home_construction_servicesswiper-button-next i {
			color: <?php echo esc_attr(get_theme_mod('slider_arrowiconcolor')); ?> !important;
		}

		.hero-slider .home_construction_servicesswiper-button-prev, 
		.hero-slider .home_construction_servicesswiper-button-next {
			background: <?php echo esc_attr(get_theme_mod('slider_arrowiconbgcolor')); ?> !important;
		}

		.hero-slider .home_construction_servicesswiper-button-prev:hover i,
		.hero-slider .home_construction_servicesswiper-button-next:hover i {
			color: <?php echo esc_attr(get_theme_mod('slider_arrowiconhrvcolor')); ?> !important;
		}



		/* Feature */

		#feature-section .featurecontent i {
			color: <?php echo esc_attr(get_theme_mod('feature_iconcolor')); ?>;
		}

		#feature-section .featurecontent i {
			background: <?php echo esc_attr(get_theme_mod('feature_iconbgcolor')); ?>;
		}

		#feature-section .featurecontent p {
			color: <?php echo esc_attr(get_theme_mod('feature_subtitlecolor')); ?>;
		}

		#feature-section .featurecontent h3.title {
			color: <?php echo esc_attr(get_theme_mod('feature_titlecolor')); ?>;
		}



		/* Our Service */

		#ourservice-section .heading h4 {
			color: <?php echo esc_attr(get_theme_mod('ourservice_subheadingcolor')); ?>;
		}

		#ourservice-section .heading h2 {
			color: <?php echo esc_attr(get_theme_mod('ourservice_headingcolor')); ?>;
		}

		#ourservice-section .ourtbx .single-ourservice h3 {
			color: <?php echo esc_attr(get_theme_mod('ourservice_boxtitlecolor')); ?>;
		}

		#ourservice-section .count {
			color: <?php echo esc_attr(get_theme_mod('ourservice_numcolor')); ?>;
		}

		#ourservice-section .count:after {
			border-color: <?php echo esc_attr(get_theme_mod('ourservice_numbrdcolor')); ?>;
		}

		#ourservice-section .threebox,
		#ourservice-section .count:before {
			background: <?php echo esc_attr(get_theme_mod('ourservice_contentbgcolor')); ?>;
		}




		/* about us */
		#aboutus-section .imgtitlebx h4,
		#aboutus-section .imgtitlebx h6 {
			color: <?php echo esc_attr(get_theme_mod('aboutus_imgheadingcolor')); ?>;
		}

		#aboutus-section .abt_img_description p {
			color: <?php echo esc_attr(get_theme_mod('aboutus_imgdescriptioncolor')); ?>;
		}

		#aboutus-section .abt_img_description {
			background: <?php echo esc_attr(get_theme_mod('aboutus_imgdescriptionbgcolor')); ?>;
		}

		#aboutus-section .abt-dbx h2 {
			color: <?php echo esc_attr(get_theme_mod('aboutus_titlecolor')); ?>;
		}

		#aboutus-section .abt-box {
			color: <?php echo esc_attr(get_theme_mod('aboutus_descriptioncolor')); ?>;
		}

		#aboutus-section .lists p i {
			color: <?php echo esc_attr(get_theme_mod('aboutus_listiconcolor')); ?>;
		}

		#aboutus-section .lists p {
			color: <?php echo esc_attr(get_theme_mod('aboutus_listcolor')); ?>;
		}

		#aboutus-section .box2 .text h2 {
			color: <?php echo esc_attr(get_theme_mod('aboutus_boxheadingcolor')); ?>;
		}

		#aboutus-section .box2 .text p {
			color: <?php echo esc_attr(get_theme_mod('aboutus_boxdescriptioncolor')); ?>;
		}

		#aboutus-section .abt-btn a {
			color: <?php echo esc_attr(get_theme_mod('aboutus_btntextcolor')); ?> !important;
		}

		#aboutus-section .abt-btn a {
			background: <?php echo esc_attr(get_theme_mod('aboutus_btnbgcolor')); ?>;
		}

		#aboutus-section .abt-btn a:hover {
			color: <?php echo esc_attr(get_theme_mod('aboutus_btntexthrvcolor')); ?> !important;
		}



		.copy-right p,.copy-right p a {
			color: <?php echo esc_attr(get_theme_mod('footer_copyrightcolor')); ?>;
		}

		.copy-right {
			border-color: <?php echo esc_attr(get_theme_mod('footer_copyrightbrdcolor')); ?>;
		}

		.footer-area .footer-widget .w-title {
			color: <?php echo esc_attr(get_theme_mod('footer_widgettilecolor')); ?>;
		}

		.footer-area .widget_text, .footer-area .widget_text p, .wp-block-latest-comments__comment-excerpt p, .wp-block-latest-comments__comment-date, .has-avatars .wp-block-latest-comments__comment .wp-block-latest-comments__comment-excerpt, .has-avatars .wp-block-latest-comments__comment .wp-block-latest-comments__comment-meta,.footer-area .widget_block h1, .footer-area .widget_block h2, .footer-area .widget_block h3, .footer-area .widget_block h4, .footer-area .widget_block h5, .footer-area .widget_block h6,.footer-area .footer-widget .widget:not(.widget_social_widget):not(.widget_tag_cloud) li a {
			color: <?php echo esc_attr(get_theme_mod('footer_textcolor')); ?>;
		}

		.footer-area li:before, .page-template-home-template .footer-area li:before, .page .footer-area li:before, .single .footer-area li:before {
			color: <?php echo esc_attr(get_theme_mod('footer_iconcolor')); ?>;
		}

		.footer-area .footer-widget .widget:not(.widget_social_widget):not(.widget_tag_cloud) li a:hover {
			color: <?php echo esc_attr(get_theme_mod('footer_listhovercolor')); ?>;
		}

		.scroll-top i {
			color: <?php echo esc_attr(get_theme_mod('footer_scrolltotopiconcolor')); ?>;
		}

		.scroll-top {
			background: <?php echo esc_attr(get_theme_mod('footer_scrolltotopiconbgcolor')); ?>;
		}

		.scroll-top:hover {
			background: <?php echo esc_attr(get_theme_mod('footer_scrolltotopiconbghrvcolor')); ?>;
		}

		
	<?php  ?>


	<?php
		if ( ! display_header_text() ) :
	?>
		.site-title,
		.site-description {
			position: absolute;
			clip: rect(1px, 1px, 1px, 1px);
		}
	<?php
		else :
	?>
		.breadcrumb-section h1{
			color: #<?php echo esc_attr( $header_text_color ); ?>;
		}
	<?php endif; ?>



	<?php
        if ($blog_disable_section == 1):
	?>
		#blog-section {
			display: none;
		}
	<?php
		else :
	?>
		#blog-section {
			display: block;
		}
	<?php endif; ?>


	<?php
        if ($ourservice_disable_section == 1):
	?>
		#ourservice-section {
			display: none;
		}
	<?php
		else :
	?>
		#ourservice-section {
			display: block;
		}
	<?php endif; ?>


	<?php
        if ($aboutus_disable_section == 1):
	?>
		#aboutus-section {
			display: none;
		}
	<?php
		else :
	?>
		#aboutus-section {
			display: block;
		}
	<?php endif; ?>

	<?php
        if ($feature_disable_section == 1):
	?>
		#feature-section {
			display: none;
		}
	<?php
		else :
	?>
		#feature-section {
			display: block;
		}
	<?php endif; ?>



	</style>
	<?php
}
endif;
