<?php if ( get_header_image() ) : ?>
	<a href="<?php echo esc_url( home_url( '/' ) ); ?>" id="custom-header" rel="home">
		<img src="<?php esc_url(header_image()); ?>" width="<?php echo esc_attr( get_custom_header()->width ); ?>" height="<?php echo esc_attr( get_custom_header()->height ); ?>" alt="<?php echo esc_attr(get_bloginfo( 'title' )); ?>">
	</a>	
<?php endif;  ?>
<!-- Header Area -->

	<?php 
		// header
		$topheader_btntext = esc_attr(get_theme_mod('topheader_btntext','Get Started'));
		$topheader_btntextlink = esc_attr(get_theme_mod('topheader_btntextlink','#'));
		$stickyheader = esc_attr(homeconstructionservices_sticky_menu());
	?>

<div class="main">
    <header class="main-header site-header <?php echo esc_attr(homeconstructionservices_sticky_menu()); ?>">
		<div class="header-section">
			<div class="container">
				<div class="btmmhead ">
					<div class=" row mr-0">
						<div class="col-lg-3 col-md-4 col-sm-4 col-10 ">
							<div class="logobx">
								<div class="site-logo">
									<?php
									if(has_custom_logo())
										{	
											the_custom_logo();
										}
										else { 
										?>
										<a class="site-title" href="<?php echo esc_url( home_url( '/' ) ); ?>">
											
											<?php 
												echo esc_html(bloginfo('name'));
											?>
										</a>	

										<div class="box-info">
											<?php
												$homeconstructionservices_site_desc = get_bloginfo( 'description');
												if ($homeconstructionservices_site_desc) : ?>
													<p class="site-description"><?php echo esc_html($homeconstructionservices_site_desc); ?></p>
											<?php endif; ?>
										</div>
									<?php 						
										}
									?>
								</div>
							</div>
						</div>
						<div class="col-lg-9 col-md-8 col-sm-8 col-12">
							<div class="bottomhead ">
								<div class=" row mr-0">
									<div class="col-lg-9 col-md-8 col-sm-7 ">
										<div class="menus">
											<nav class="navbar navbar-expand-lg navbaroffcanvase">
											<div class="navbar-menubar">
												<!-- Small Divice Menu-->
												<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target=".navbar-menu"  aria-label="<?php echo esc_attr_e('Toggle navigation','home-construction-services'); ?>"> 
													<i class="fa fa-bars"></i>
												</button>
												<div class="collapse navbar-collapse navbar-menu">
													<button class="navbar-toggler navbar-toggler-close" type="button" data-bs-toggle="collapse" data-bs-target=".navbar-menu"  aria-label="<?php echo esc_attr_e('Toggle navigation','home-construction-services'); ?>"> 
														<i class="fa fa-times"></i>
													</button> 
													<?php 
														wp_nav_menu( 
															array(  
																'theme_location' => 'primary_menu',
																'container'  => '',
																'container_id'    => '',
																'menu_class' => 'navbar-nav main-nav',
																'fallback_cb' => 'WP_Bootstrap_Navwalker::fallback',
																'walker' => new WP_Bootstrap_Navwalker()
																) 
															);
													?>
												</div>
											</div>
											</nav>
										</div>
									</div>
									<div class="col-lg-3 col-md-4 col-sm-5 ">
										<?php if ($topheader_btntext) { ?>
											<div class="hbtn">
												<a class="contactus" href="<?php echo apply_filters('homeconstructionservices_header', $topheader_btntextlink); ?>">
													<?php echo apply_filters('homeconstructionservices_header', $topheader_btntext); ?>
													<i class="fa-solid fa-arrow-right-long"></i>
												</a> 
											</div>
										<?php } ?>
									</div>
								</div>
								<div class="clearfix"></div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>

    </header>
	<div class="clearfix"></div>

</div>
